FreeMat

- Main Page
- Related Pages

vtkTransformFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkTransformFilter is a filter to transform point coordinates, and associated point normals and vectors. Other point data is passed through the filter.

An alternative method of transformation is to use vtkActor's methods to scale, rotate, and translate objects. The difference between the two methods is that vtkActor's transformation simply effects where objects are rendered (via the graphics pipeline), whereas vtkTransformFilter actually modifies point coordinates in the visualization pipeline. This is necessary for some objects (e.g., vtkProbeFilter) that require point coordinates as input.

To create an instance of class vtkTransformFilter, simply invoke its constructor as follows

      obj = vtkTransformFilter

# Methods

The class vtkTransformFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTransformFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTransformFilter = obj.NewInstance ()`
- `vtkTransformFilter = obj.SafeDownCast (vtkObject o)`
- `long = obj.GetMTime ()` - Return the MTime also considering the transform.
- `obj.SetTransform (vtkAbstractTransform )` - Specify the transform object used to transform points.
- `vtkAbstractTransform = obj.GetTransform ()` - Specify the transform object used to transform points.